rem     batch file copies SILPHEED files from
rem         3 1/2 floppies. Only those files
rem         needed for graphics mode are copied
rem
rem     %1  drive to copy to
rem     %2  drive to copy from
rem     %3  e/l for EGA game or LOW resolution game

echo Copying game files...
:Vol1
exists %2:sierra.exe
if	not errorlevel 1 goto GetVol1
echo Please insert the disk labeled "DISK 1" disk into drive %2.
pause
goto Vol1
:GetVol1
copy %2:*.drv   >nul
copy %2:resource.* >nul
copy %2:patch.* >nul
copy %2:*.sav   >nul
copy %2:*.exe   >nul
copy %2:*.cfg   >nul
copy %2:readme  >nul
if "%3"=="l" goto vol1a
copy %2:*.ega   >nul
goto vol2
:vol1a
copy %2:*.tan   >nul
copy %2:*.cga   >nul
copy %2:*.mga   >nul
copy %2:*.low   >nul
                


:Vol2
exists %2:gdemo.ega
if	not errorlevel 1 goto GetVol2
echo Please insert the disk labeled "Disk 2" into drive %2.
pause
goto Vol2
:GetVol2
if "%3"=="l" goto vol2a
copy %2:*.ega >nul
copy %2:resource.* >nul
goto    volexit
:vol2a
copy %2:*.tan   >nul
copy %2:*.cga   >nul
copy %2:*.mga   >nul
copy %2:*.low   >nul
copy %2:resource.* >nul
copy %2:sildata >nul

:volexit
echo	To run SILPHEED, type
echo		cd \sierra
echo	and then type
echo		silpheed
pause
